<template>
    <ul>
        <li v-for="(item, index) in items" :key="index">
            {{ item.quantity }} x {{ item.name }} <span v-if="item.variant">(Talle {{ item.variant }})</span>
        </li>
    </ul>
</template>

<script setup>
import { computed } from "vue";
import { cartStore } from "../../../js/stores/cart.js";

// Accede al store de Pinia
const store = cartStore();

// Computed para acceder a los productos del carrito
const items = computed(() => store.items);
</script>

<style scoped>
h4 {
    font-size: 1.25rem;
    margin-bottom: 10px;
}

ul {
    list-style-type: none;
    padding: 0;
}

li {
    margin-bottom: 8px;
}
</style>
